%define module	AcePerl
%define name	perl-%{module}
%define version 1.89
%define release %mkrel 6

%define _requires_exceptions perl(Ace::Browser::LocalSiteDefs)
%define _fortify_cflags %nil

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface for the ACEDB object-oriented database
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Ace/%{module}-%{version}.tar.bz2
Patch:		%{name}.makefile.patch.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRequires:  perl(WeakRef)
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Designed specifically for use in genome sequencing projects, ACEDB
provides powerful modeling and management services for biological and
laboratory data. For others, it is a good open source introduction to
the world of object-oriented databases

%prep
%setup -q -n %{module}-%{version}
%patch

perl -pi -e 's|^#!/usr/local/bin/perl$|#!%{__perl}|' examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make COMPILER="gcc %{optflags} -fPIC -DACEDB4"

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README README.ACEBROWSER DISCLAIMER.txt ChangeLog docs examples
%{_bindir}/*
%{perl_vendorarch}/GFF
%{perl_vendorarch}/Ace
%{perl_vendorarch}/Ace.pm
%{perl_vendorarch}/auto/Ace
%{_mandir}/*/*


%changelog
* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-6mdv2007.0
+ Revision: 86530
- Import perl-AcePerl



* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-6mdv2007.0
- Rebuild

* Tue Apr 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.89-5mdk
- Fix BuildRequires using perl Policy

* Tue Apr 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.89-4mdk
- Fix BuildRequires

* Mon Apr 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-3mdk
- disable fortify, it breaks va_list use
- better source URL

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-2mdk 
- don't ship auto dir
- make test

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-1mdk
- new release
- spec cleanup
- better url
- fix interpreter path in exemples

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.87-4mdk
- fix compilation on x86_64
 
* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.87-3mdk 
- rebuild for new perl

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.87-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.87-1mdk
- new version
- rpmbuildupdate aware

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.86-2mdk
- Macroize
- %%makeinstall_std

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.86-1mdk
- 1.86

* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.83-1mdk
- first mdk relase
